<?php
/*
* JEZ Thema Joomla! 1.5 Theme Base :: Output Overrides
*
* @package		JEZ Thema
* @version		1.0.0
* @author		JoomlaEZ.com
* @copyright	Copyright (C) 2008 JoomlaEZ.com. All rights reserved
* @license		Commercial Proprietary
*
* Please visit http://joomlaez.com/ for more information
*/

/*----------------------------------------------------------------------------*/

defined('_JEXEC') or die;

// get the active template
$template = basename(dirname(dirname(dirname(__FILE__))));

if ($type == 'logout') :
?>
<form action="index.php" method="post" class="mod_logout<?php echo $params->get('moduleclass_sfx'); ?>">
	<?php if ($params->get('greeting')) : ?>
	<p class="intro">
	<?php
	if ($params->get('name'))
		echo JText::sprintf( 'HINAME', $user->get('name') );
	else
		echo JText::sprintf( 'HINAME', $user->get('username') );
	?>
	</p>
	<?php endif; ?>
	<div class="tac">
		<button type="submit" class="negative" title="<?php echo JText::_('BUTTON_LOGOUT'); ?>">
			<?php echo JHTML::_('image', "templates/$template/images/icons/silk/lock.png", JText::_('Icon'), array('class' => 'png24')) . JText::_('BUTTON_LOGOUT'); ?></button>
	</div>
	<input type="hidden" name="option" value="com_user" />
	<input type="hidden" name="task" value="logout" />
	<input type="hidden" name="return" value="<?php echo $return; ?>" />
</form>
<?php
else :
	if (JPluginHelper::isEnabled('authentication', 'openid')) { // support OpenID authentication
		$lang = &JFactory::getLanguage();
		$lang->load( 'plg_authentication_openid', JPATH_ADMINISTRATOR );
		$langScript = 	'var JLanguage = {};'.
						' JLanguage.WHAT_IS_OPENID = \''.JText::_( 'WHAT_IS_OPENID' ).'\';'.
						' JLanguage.LOGIN_WITH_OPENID = \''.JText::_( 'LOGIN_WITH_OPENID' ).'\';'.
						' JLanguage.NORMAL_LOGIN = \''.JText::_( 'NORMAL_LOGIN' ).'\';'.
						' var modlogin = 1;';
		$document = &JFactory::getDocument();
		$document->addScriptDeclaration( $langScript );
		JHTML::_('script', 'openid.js');

		// reformat OpenID links
		$head = $document->getHeadData();
		$loaded = false;
		foreach ($head['scripts'] AS $k => $v) {
			if (preg_match("/jezBaseFx\.js$/", $k)) {
				$loaded = true;
				break;
			}
		}
		if (!$loaded)
			JHTML::_('script', 'jezBaseFx.js', 'templates/'.$template.'/scripts/');

		$document->addScriptDeclaration('
			window.addEvent("domready", function() {
				var thisForm = $("form-login");
				var list = thisForm.getElement("ul");
				var links = thisForm.getElements("a");

				for (var i = 0; i < links.length; i++) {
					if (links[i].id == "openid-link")
						links[i].setStyle("display", "block").injectBefore(list);
					else if (links[i].href.match(/openid\.net/)) {
						links[i].removeProperty("style").injectBefore(list);
						if ($defined(SqueezeBox)) {
							var el = links[i];
							el.addEvent("click", function(e) {
								new Event(e).stop();
								SqueezeBox.fromElement(el, {"url": el.href, "handler": "iframe", "size": {"x" : parseInt((window.getWidth() / 100) * 90), "y" : parseInt((window.getHeight() / 100) * 80)}});
								return false;
							});
						} else
							links[i].setProperty("target", "_blank");
					}
				}

				var state = Cookie.get("login-openid");
				var vR = jezGetVertRhythm(list);
				new jezFxStyle(list, {
					activateOn: "click",
					deactivateOn: "click",
					activeCss: {"opacity": 1, "height": list.offsetHeight, "margin-bottom": (vR.fontSize * 1.5)},
					inactiveCss: {"opacity": 0, "height": 0, "margin-bottom": 0},
					activeFx: {duration: 500, transition: Fx.Transitions.expoOut},
					inactiveFx: {duration: 500, transition: Fx.Transitions.expoIn},
					preset: state == 0 ? "active" : "inactive"
				}, $("openid-link"));
			});
		');
	}
?>
<form id="form-login" name="login" action="<?php echo JRoute::_( 'index.php', true, $params->get('usesecure')); ?>" method="post" class="mod_login<?php echo $params->get('moduleclass_sfx'); ?>">
	<?php if ($params->get('pretext') != '') : ?>
	<p class="intro pre"><?php echo $params->get('pretext'); ?></p>
	<?php endif; ?>
	<fieldset>
	<div id="form-login-username" class="tr">
		<div class="fl tc w40p">
			<label for="modlgn_username"><?php echo JText::_('Username') ?></label>
		</div>
		<div class="fl w60p">
			<input id="modlgn_username" type="text" name="username" title="<?php echo JText::_('Username') ?>" class="inputbox" size="18" />
		</div>
	</div>
	<div id="form-login-password" class="tr">
		<div class="fl tc w40p">
			<label for="modlgn_passwd"><?php echo JText::_('Password') ?></label>
		</div>
		<div class="fl w60p">
			<input id="modlgn_passwd" type="password" name="passwd" title="<?php echo JText::_('Password') ?>" class="inputbox" size="18" alt="password" />
		</div>
	</div>
	<?php if(JPluginHelper::isEnabled('system', 'remember')) : ?>
	<div id="form-login-remember" class="tr">
		<div class="fl tc w40p">&nbsp;</div>
		<div class="fl w60p">
			<input id="modlgn_remember" type="checkbox" name="remember" title="<?php echo JText::_('Remember me') ?>" value="yes" alt="Remember Me" />
			<label for="modlgn_remember"><?php echo JText::_('Remember me') ?></label>
		</div>
	</div>
	<?php endif; ?>
	<div class="tr">
		<div class="fl tc w40p">&nbsp;</div>
		<div class="fl w60p">
			<button type="submit" title="<?php echo JText::_('LOGIN'); ?>">
				<?php echo JHTML::_('image', "templates/$template/images/icons/silk/lock_open.png", JText::_('Icon'), array('class' => 'png24')) . JText::_('LOGIN'); ?></button>
		</div>
	</div>
	</fieldset>

	<ul>
	<li>
		<a href="<?php echo JRoute::_( 'index.php?option=com_user&view=reset' ); ?>" title="<?php echo JText::_('FORGOT_YOUR_PASSWORD'); ?>">
			<?php echo JText::_('FORGOT_YOUR_PASSWORD'); ?></a>
	</li>
	<li>
		<a href="<?php echo JRoute::_( 'index.php?option=com_user&view=remind' ); ?>" title="<?php echo JText::_('FORGOT_YOUR_USERNAME'); ?>">
			<?php echo JText::_('FORGOT_YOUR_USERNAME'); ?></a>
	</li>
	<?php $usersConfig = &JComponentHelper::getParams( 'com_users' );
	if ($usersConfig->get('allowUserRegistration')) : ?>
	<li>
		<a href="<?php echo JRoute::_( 'index.php?option=com_user&task=register' ); ?>" title="<?php echo JText::_('REGISTER'); ?>">
			<?php echo JText::_('REGISTER'); ?></a>
	</li>
	<?php endif; ?>
	</ul>
	<?php if ($params->get('posttext') != '') : ?>
	<p class="intro post"><?php echo $params->get('posttext'); ?></p>
	<?php endif; ?>
	<input type="hidden" name="option" value="com_user" />
	<input type="hidden" name="task" value="login" />
	<input type="hidden" name="return" value="<?php echo $return; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php endif; ?>
