<?php
/*
* JEZ Thema Joomla! 1.5 Theme Base :: Output Overrides
*
* @package		JEZ Thema
* @version		1.0.0
* @author		JoomlaEZ.com
* @copyright	Copyright (C) 2008 JoomlaEZ.com. All rights reserved
* @license		Commercial Proprietary
*
* Please visit http://joomlaez.com/ for more information
*/

/*----------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access');

if ( !defined('modMainMenuXMLCallbackDefined') ) {
	function modMainMenuXMLCallback(&$node, $args) 	{
		$user	= &JFactory::getUser();
		$menu	= &JSite::getMenu();
		$active	= $menu->getActive();
		$path	= isset($active) ? array_reverse($active->tree) : null;

		if (($args['end']) && ($node->attributes('level') >= $args['end'])) {
			$children = $node->children();
			foreach ($node->children() as $child) {
				if ($child->name() == 'ul')
					$node->removeChild($child);
			}
		}

		if ($node->name() == 'ul') { // menu customization
			foreach ($node->children() as $child) {
				if ($child->attributes('access') > $user->get('aid', 0))
					$node->removeChild($child);
			}

			// mark nested level of menu
			if ($node->attributes('class'))
				$node->addAttribute('class', $node->attributes('class').' level'.($node->level() / 2));
			else
				$node->addAttribute('class', 'level'.($node->level() / 2));

			if ( isset($node->li) && is_array($node->li) && count($node->li) ) {
				// mark first menu item
				if ($node->li[0]->attributes('class'))
					$node->li[0]->addAttribute('class', $node->li[0]->attributes('class').' first');
				else
					$node->li[0]->addAttribute('class', 'first');

				// mark last menu item
				$last = count($node->li) - 1;
				if ($node->li[$last]->attributes('class'))
					$node->li[$last]->addAttribute('class', $node->li[$last]->attributes('class').' last');
				else
					$node->li[$last]->addAttribute('class', 'last');
			}
		} elseif ($node->name() == 'li') {
			// mark nested level of menu item
			if ($node->attributes('class'))
				$node->addAttribute('class', $node->attributes('class').' level'.(($node->level() - 1) / 2));
			else
				$node->addAttribute('class', 'level'.(($node->level() - 1) / 2));

			// mark parent
			if ( isset($node->ul) ) {
				if ($node->attributes('class'))
					$node->addAttribute('class', $node->attributes('class').' parent');
				else
					$node->addAttribute('class', 'parent');
			}
		}

		if ( isset($path) && (in_array($node->attributes('id'), $path) || in_array($node->attributes('rel'), $path)) ) {
			// mark active menu item
			if ($node->attributes('class'))
				$node->addAttribute('class', $node->attributes('class').' active');
			else
				$node->addAttribute('class', 'active');
		} else {
			if ( isset($args['children']) && !$args['children'] ) {
				$children = $node->children();
				foreach ($node->children() as $child) {
					if ($child->name() == 'ul')
						$node->removeChild($child);
				}
			}
		}

		// mark menu item linked to current page
		if (isset($path) && $node->attributes('id') == $path[0])
			$node->addAttribute('id', 'current');
		else
			$node->removeAttribute('id');

		$node->removeAttribute('rel');
		$node->removeAttribute('level');
		$node->removeAttribute('access');
	}

	define('modMainMenuXMLCallbackDefined', true);
}

modMainMenuHelper::render($params, 'modMainMenuXMLCallback');
?>